searchNodes=[{"doc":"The client interface for connecting to the Snowflake data warehouse. The main entry point to this module is Snowflex.sql_query. This function takes a string containing a SQL query and returns a list of maps (one per row). NOTE: due to the way the Erlang ODBC works, all values comeback as strings. You will need to cast values appropriately.","ref":"Snowflex.html","title":"Snowflex","type":"module"},{"doc":"","ref":"Snowflex.html#param_query/4","title":"Snowflex.param_query/4","type":"function"},{"doc":"","ref":"Snowflex.html#sql_query/3","title":"Snowflex.sql_query/3","type":"function"},{"doc":"","ref":"Snowflex.html#t:query_param/0","title":"Snowflex.query_param/0","type":"type"},{"doc":"","ref":"Snowflex.html#t:sql_data/0","title":"Snowflex.sql_data/0","type":"type"},{"doc":"data_warehouse = [ connection: [ server: &quot;snowflex.us-east-8.snowflakecomputing.com&quot;, role: &quot;DEV&quot;, warehouse: &quot;CUSTOMER_DEV_WH&quot; ] ] {Snowflex.ConnectionPool, data_warehouse} This is a contrived example. In production scenarios, you most likely want to setup your configuration in the application configuration and then pull it in at runtime. For example, if you are using Mix Releases, you would have this in the config/releases.exs file: import Config # ... config :my_app, :data_warehouses, point_of_sale: [ name: :point_of_sale, connection: [ role: &quot;PROD&quot;, warehouse: System.get_env(&quot;SNOWFLAKE_POS_WH&quot;), uid: System.get_env(&quot;SNOWFLAKE_POS_UID&quot;), pwd: System.get_env(&quot;SNOWFLAKE_POS_PWD&quot;) ] ], advertising: [ name: :advertising, connection: [ role: &quot;PROD&quot;, warehouse: System.get_env(&quot;SNOWFLAKE_ADVERTISING_WH&quot;), uid: System.get_env(&quot;SNOWFLAKE_ADVERTISING_UID&quot;), pwd: System.get_env(&quot;SNOWFLAKE_ADVERTISING_PWD&quot;) ] ] Then, in your application module, you would source the configuration like this: def MyApp.Application do use Application def start(_type, _args) do warehouses = Application.get_env(:myapp, :data_warehouses) pos = Keyword.get(warehouses, :point_of_sale) advertising = Keyword.get(warehouses, :advertising) children = [ {Snowflex.ConnectionPool, pos}, {Snowflex.ConnectionPool, advertising} ] opts = [strategy: :one_for_one, name: MyApp.Supervisor] Supervisor.start_link(children, opts) end end Name The :name of the connection pool must be an atom. Connection The :connection configuration contains details on how to connect to Snowflake Pool Sizing The :size configuration is used to control the size of the pool. It accepts the :max (default: 10) and :min (default: 5) configuration keys. The pool will never create more than :max connections, but it will always create at least :min connections. [ max: 10, min: 5 ] Driver In order to connect to Snowflake, you need to provide the ODBC-compliant driver. Currently, Snowflex expects to use a single driver for all connections, and the driver must be specified in the application configuration. The :driver configuration key must be set to the fully-qualified path for the driver, which should be a dynamic library (.so). config Snowflex, driver: &quot;/usr/lib/snowflake/odbc/lib/libSnowflake.so&quot; Follow the installation instructions from the Snowflake documentation to install the ODBC driver appropriate for your system.","ref":"Snowflex.ConnectionPool.html","title":"Snowflex.ConnectionPool","type":"module"},{"doc":"","ref":"Snowflex.ConnectionPool.html#child_spec/1","title":"Snowflex.ConnectionPool.child_spec/1","type":"function"}]